Subject: bug#65344: 28.2; Unable to Edebug cl-flet form which uses argument destructuring

From: Gerd Möllmann <[email-masked]>
Date: Fri, 25 Aug 2023 08:19:29 +0200

Michael Heerdegen <[email-masked]> writes:

> Gerd Möllmann <[email-masked]> writes:
>
>> Difficult.
>>
>> One could of course try filtering out constructs that def-form doesn't
>> like with a preceeding &not, but that's such an effing solution that my
>> arm hairs stand up.  I don't think I'll do that.
>
> Looks like a bad design choice made very early in the development of
> Edebug.  Maybe the developers just didn't expect that this would be used
> inside an &or alternative.

The docs say

   Edebug specifications provide the power of regular expression
   matching, plus some context-free grammar constructs:

I have a hard time imagining that somone with that spiration overlooks
something like what we have here.

I'll submit a new issue for this.